function sensor_data = real_data_from_file()
    files = dir('../CS_Drillship_cRIO-master_Basin/Logs/02/26/AA*.csv');
    fullpaths = fullfile({files.folder}, {files.name});

    raw_data = importdata(fullpaths{1}, ',', 1);
    for i = 2:length(fullpaths)
        raw_data.data = [raw_data.data; importdata(fullpaths{i}, ',', 1).data];
    end

    %tempfix:
    raw_data.textdata{13} = 'system_time';
    raw_data.textdata{14} = 'model_time';

    sensor_data = struct();
    for i = 1:length(raw_data.textdata)
        sensor_data.(raw_data.textdata{i}) = raw_data.data(:,i);
    end
    sensor_data.wave_dir = [zeros(8238,1); ones(11370-8238,1)*pi/2; ones(17408-11370,1)*pi/4];
    sensor_data.system_time = [0:0.05:(870.4-0.05)]';
    
end